//
//  AGShareSDKSampleViewController.m
//  ShareSDKCustomActionSheetSample
//
//  Created by Nogard on 13-10-10.
//  Copyright (c) 2013年 ShareSDK. All rights reserved.
//

#import "AGShareSDKSampleViewController.h"
#import <ShareSDK/ShareSDK.h>
#import <AGCommon/UIDevice+Common.h>
#import <AGCommon/UIView+Common.h>

@interface AGShareSDKSampleViewController ()

@end

@implementation AGShareSDKSampleViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    UIButton *anchorButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    [anchorButton setTitle:@"第六步：开始分享！" forState:UIControlStateNormal];
    [anchorButton sizeToFit];
    [anchorButton addTarget:self
                     action:@selector(buttonClicked:)
           forControlEvents:UIControlEventTouchDown];

    CGFloat x = (self.view.width - anchorButton.width) /2;
    CGFloat y = self.view.height * 0.33333;
    CGFloat w = anchorButton.width;
    CGFloat h = anchorButton.height;
    anchorButton.frame = CGRectMake(x, y, w, h);

    [self.view addSubview:anchorButton];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


#pragma mark Button Event Handle

- (void)buttonClicked:(id)sender
{
    //TODO: 第六步：开始使用 ShareSDK 进行分享，详见 wiki 上关于构造分享的例子

    id<ISSContainer> container = [ShareSDK container];

    if ([[UIDevice currentDevice] isPad])
        [container setIPadContainerWithView:sender
                                arrowDirect:UIPopoverArrowDirectionUp];
    else
        [container setIPhoneContainerWithViewController:self];

    NSArray *shareList = [ShareSDK getShareListWithType:
                          ShareTypeRenren,
                          ShareTypeSinaWeibo,
                          ShareTypeTumblr,
                          ShareTypeQQSpace,
                          ShareTypeTencentWeibo,
                          ShareTypeTwitter,
                          nil];

    id<ISSContent> publishContent = nil;

    NSString *contentString = @"看了ShareSDK的例子，原来分享真的很简单！@ShareSDK";
    NSString *titleString   = @"标题在此，谁敢与某大战三百回合？";
    NSString *urlString     = @"http://www.ShareSDK.cn";
    NSString *description   = @"欢迎使用 ShareSDK 为社交分享加速！";

    publishContent = [ShareSDK content:contentString
                        defaultContent:@""
                                 image:nil
                                 title:titleString
                                   url:urlString
                           description:description
                             mediaType:SSPublishContentMediaTypeText];

    id<ISSShareOptions> shareOptions =
            [ShareSDK defaultShareOptionsWithTitle:@""
                                   oneKeyShareList:shareList
                                cameraButtonHidden:YES
                               mentionButtonHidden:NO
                                 topicButtonHidden:NO
                                    qqButtonHidden:YES
                             wxSessionButtonHidden:YES
                            wxTimelineButtonHidden:YES
                              showKeyboardOnAppear:NO
                                 shareViewDelegate:nil
                               friendsViewDelegate:nil
                             picViewerViewDelegate:nil];

    [ShareSDK showShareActionSheet:container
                         shareList:shareList
                           content:publishContent
                     statusBarTips:NO
                       authOptions:nil
                      shareOptions:shareOptions
                            result:^(ShareType type,
                                     SSPublishContentState state,
                                     id<ISSStatusInfo> statusInfo,
                                     id<ICMErrorInfo> error, BOOL end)
                            {
                                NSString *name = nil;
                                switch (type)
                                {
                                    case ShareTypeRenren:
                                        name = @"人人";
                                        break;
                                    case ShareTypeSinaWeibo:
                                        name = @"新浪微博";
                                        break;
                                    case ShareTypeTumblr:
                                        name = @"Tumblr";
                                        break;
                                    case ShareTypeQQSpace:
                                        name = @"QQ空间";
                                        break;
                                    case ShareTypeTencentWeibo:
                                        name = @"腾讯微博";
                                        break;
                                    case ShareTypeTwitter:
                                        name = @"Twitter";
                                        break;

                                    default:
                                        name = @"某个平台";
                                        break;
                                }

                                NSString *notice = nil;
                                if (state == SSPublishContentStateSuccess)
                                {
                                    notice = [NSString stringWithFormat:@"分享到%@成功！", name];
                                    NSLog(@"%@",notice);

                                    UIAlertView *view =
                                    [[UIAlertView alloc] initWithTitle:@"提示"
                                                               message:notice
                                                              delegate:nil
                                                     cancelButtonTitle:@"知道了"
                                                     otherButtonTitles: nil];
                                    [view show];
                                }
                                else if (state == SSPublishContentStateFail)
                                {
                                    notice = [NSString stringWithFormat:@"分享到%@失败,错误码:%d,错误描述:%@", name, [error errorCode], [error errorDescription]];
                                    NSLog(@"%@",notice);
                                    
                                    UIAlertView *view =
                                    [[UIAlertView alloc] initWithTitle:@"提示"
                                                               message:notice
                                                              delegate:nil
                                                     cancelButtonTitle:@"知道了"
                                                     otherButtonTitles: nil];
                                    [view show];
                                }
                            }];
}

@end
